<template>
    <div class="col-xs-12 col-sm-6">
        <div class="list-group">
            <server
                class="list-group-item"
                v-for="server in servers"
                :key="server.id"
                :server="server"
            />
        </div>
    </div>
</template>

<script>
    import Server from './Server.vue';

    export default {
        components: {
            Server
        },
        data() {
            return {
                servers: [
                    {
                        id: 1,
                        code: 200,
                        text: 'Ok'
                    },
                    {
                        id: 2,
                        code: 404,
                        text: 'Not Found'
                    },
                    {
                        id: 3,
                        code: 400,
                        text: 'Bad Request'
                    },
                    {
                        id: 4,
                        code: 500,
                        text: 'Internal Server Error'
                    },
                    {
                        id: 5,
                        code: 418,
                        text: 'I am a teapot'
                    },
                ]
            }
        }
    }
</script>

<style>

</style>
